/**
 * @file
 * @brief Définitions communes pour le reste du code.
 */

#ifndef __HUFFMAN_COMMON_H_INCLUDED__
#define __HUFFMAN_COMMON_H_INCLUDED__

/**
 * @brief Macro correspondant à la valeur booléenne vraie (1).
 */
#define TRUE 1

/**
 * @brief Macro correspondant à la valeur booléenne fausse (0).
 */
#define FALSE 0

/**
 * @brief Macro correspondant au nombre de caractères possibles.
 */
#define NUM_CHARS 256

/**
 * @brief Alias du type d'entier non-signé 64 bits pour compter
 * les longueurs de fichiers.
 */
typedef long long unsigned int bytecount;

#endif // __HUFFMAN_COMMON_H_INCLUDED__
