/**
 * @file
 * @brief Compression des fichiers.
 */

#ifndef __HUFFMAN_COMPRESS_H_INCLUDED__
#define __HUFFMAN_COMPRESS_H_INCLUDED__

#include <stdio.h>

/**
 * @brief Compresser le fichier @p source vers @p dest.
 *
 * Lit les caractères de @p source, applique l'algorithme de Huffman pour
 * déterminer une représentation compacte et la stocke dans @p dest.
 * @param source Fichier ouvert en lecture depuis lequel lire les données.
 * @param dest Fichier ouvert en écriture dans lequel écrire les données
 * compressées.
 */
void compress(FILE* source, FILE* dest);

#endif // __HUFFMAN_COMPRESS_H_INCLUDED__
