/**
 * @file
 * @brief Décompression des fichiers.
 */

#ifndef __HUFFMAN_DECOMPRESS_H_INCLUDED__
#define __HUFFMAN_DECOMPRESS_H_INCLUDED__

#include <stdio.h>

/**
 * @brief Décompresser le fichier @p source vers @p dest.

 * Lit le fichier @p source ayant été compressé avec l'algorithme de Huffman
 * et écrit les données décompressées dans @p dest.
 * @param source Fichier ouvert en lecture depuis lequel lire les données.
 * @param dest Fichier ouvert en écriture dans lequel écrire les données
 * décompressées.
 */
void decompress(FILE* source, FILE* dest);

#endif // __HUFFMAN_DECOMPRESS_H_INCLUDED__
